Subject: Re: ?Loading and debugging a linux kernel on a walnut board with a BDI2000

From: "Mark Powell" <[email-masked]>
Date: Mon, 2 Jul 2001 17:37:24 +0100

Ah yes, that's right - Scott reminded me. The vmlinuz-walnut file is in the
image format for the IBM Treeboot mechanism.

When I moved to PPCBoot for the boot ROM (http://ppcboot.sourceforge.net) I
had make a PPCboot image from the plain kernel image, which is in
    arch/ppc/boot/images/vmlinux.gz

You might tree using this file with the BDI2000.

--
Mark Powell, Senior Software Engineer, Primagraphics Limited
New Cambridge House, Litlington, nr.Royston, Herts, SG8 0SS, UK
Tel. +44 1763 852222, Fax. 853324, http://www.primagraphics.co.uk

----- Original Message -----
From: "Scott Anderson" <[email-masked]>
To: "ibm405gp" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, July 02, 2001 5:23 PM
Subject: Re: ?Loading and debugging a linux kernel on a walnut board with a
BDI2000

ibm405gp wrote:
> My "vmlinuz-walnut" file generated with "make zImage" (with mvista
> toolschain) seems invalid for
> the bdi2000 but it works fine with 1.15 ROM Monitor

It's been a while since I played with it, but as I recall the makefile
tacks on a header to create an IBM Evaluation Board image.  To figure
out what it is doing, you might want to look in
arch/ppc/boot/tree/Makefile for something called mkevimg.

    Scott Anderson
    [email-masked]   MontaVista Software Inc.
    (408)328-9214               1237 East Arques Ave.
    http://www.mvista.com       Sunnyvale, CA  94085

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/